
D4Science Infrastructure - Task #6505

Add to the ansible playbooks the tasks needed to install the fhn-manager dependencies

Jan 20, 2017 04:37 PM - Andrea Dell'Amico

Status: Closed Start date: Jan 20, 2017

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: EGI VO d4Science.org resources

handling

  

Infrastructure: Development, Pre-Production,

Production

  

Description

fhn-manager depends on some additional packages that provide the interface to the EGI infrastructure.

The installation of those packages should be added to the fhn-manager ansible role.

We need a list of packages and repositories, and eventually any other manual operation needed to create a working environment.

History

#1 - Jan 20, 2017 05:09 PM - Nunzio Andrea Galante

- % Done changed from 0 to 100

Basically it is necessary to install and configure OCCI CLI and VOMS.

INSTALLATION

VOMS: please refer to http://italiangrid.github.io/voms/documentation/voms-clients-guide/3.0.4/

OCCI: please refer to https://github.com/EGI-FCTF/rOCCI-cli

VOMS CONFIGURATION for d4science.org VO:

mkdir -p /etc/grid-security/vomsdir/d4science.org

cat > /etc/grid-security/vomsdir/d4science.org/vomsmania.cnaf.infn.it.lsc << EOF

/C=IT/O=INFN/OU=Host/L=CNAF/CN=vomsmania.cnaf.infn.it

/C=IT/O=INFN/CN=INFN Certification Authority

EOF

cat > /etc/grid-security/vomsdir/d4science.org/vomsmania.cnaf.infn.it << EOF

/C=IT/O=INFN/OU=Host/L=CNAF/CN=vomsmania.cnaf.infn.it

/C=IT/O=INFN/CN=INFN Certification Authority

EOF

cat >> /etc/vomses << EOF

"d4science.org" "vomsmania.cnaf.infn.it" "15007" "/C=IT/O=INFN/OU=Host/L=CNAF/CN=vomsmania.cnaf.infn.it" "d4science.org"

EOF

#2 - Jan 21, 2017 12:14 AM - Andrea Dell'Amico

- Status changed from New to In Progress

- Assignee changed from Nunzio Andrea Galante to Andrea Dell'Amico

- % Done changed from 100 to 70

Nunzio, thanks.

#3 - Jan 23, 2017 07:29 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

We now have the libraries/roles/egi/{voms,rocci} roles.
I've added them to the fhn_manager role as dependencies.
